'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var loader = require('ibiz-studio-components/loader');

/**
 * 初始化
 *
 * @export
 */
function appInitialize() {
    var win = window;
    loader.applyPolyfills().then(function () { return loader.defineCustomElements(win); });
}

/**
 * 进度条组件
 */
var iBizStudioProgressVue = {
    props: {
        mode: {
            type: String
        },
        progress: {
            type: Number
        },
        strokeColor: {
            type: String
        },
        strokeWidth: {
            type: Number
        },
        total: {
            type: Number
        },
        transitionDuration: {
            type: Number
        }
    },
    // 绘制组件
    render: function (h) {
        return h('ibiz-studio-progress', {
            attrs: {
                mode: this.mode,
                progress: this.progress,
                'stroke-color': this.strokeColor,
                'stroke-width': this.strokeWidth,
                total: this.total,
                'transition-duration': this.transitionDuration
            }
        }, this.$slots.default);
    }
};

// 安装记录，避免重复安装
var Vue;
// iBiz插件安装
var install = function (_Vue) {
    if (Vue && _Vue === Vue) {
        if (process.env.NODE_ENV !== 'production') {
            console.error('[iBizStudioComponentsVue] already installed. Vue.use(iBizStudioComponentsVue) should be called only once.');
        }
        return;
    }
    Vue = _Vue;
    // Vue排除组件
    Vue.config.ignoredElements.push(/^ibiz-/);
    // 安装原生组件
    appInitialize();
    // 安装Vue组件
    Vue.component('ibiz-studio-progress-vue', iBizStudioProgressVue);
};

var index = {
    install: install,
    version: '__VERSION__'
};

exports.default = index;
//# sourceMappingURL=ibiz-studio-components.common.js.map
